PropertyDomainRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class PropertyDomainRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.PathExpression
              fr.inrialpes.exmo.align.impl.edoal.PropertyExpression
                  fr.inrialpes.exmo.align.impl.edoal.PropertyRestriction
                      fr.inrialpes.exmo.align.impl.edoal.PropertyDomainRestriction

All Implemented Interfaces:
  ValueExpression, Cloneable, Visitable

    public class PropertyDomainRestriction

extends PropertyRestriction

Represents a domainRestriction tag for PropertyExpressions.

$Id: PropertyDomainRestriction.java 1311 2010-03-07 22:51:10Z euzenat $

Version:
  $Revision: 1.4 $
Author:
  Richard Pöttler

Field Summary
`protected ClassExpression` | `domain`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`PropertyDomainRestriction()` Constructs a domainRestiction with the given restriction.
`PropertyDomainRestriction(ClassExpression dom)` Constructs a domainRestiction with the given restriction.

Method Summary
`ClassExpression` | `getDomain()`
`void` | `setDomain(ClassExpression dom)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.PropertyRestriction
`accept`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    protected ClassExpression domain

Constructor Detail

### PropertyDomainRestriction

    public PropertyDomainRestriction()

  Constructs a domainRestiction with the given restriction.

  Parameters:
    `restriction` - the restriction for the domain
  Throws:
    `NullPointerException` - if the restriction is null

### PropertyDomainRestriction

    public PropertyDomainRestriction(ClassExpression dom)

  Constructs a domainRestiction with the given restriction.

  Parameters:
    `res` - the restriction for the domain
    `target` - the target expression which should be restricted
  Throws:
    `NullPointerException` - if the restriction is null

Method Detail

### getDomain

    public ClassExpression getDomain()

### setDomain

    public void setDomain(ClassExpression dom)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010